using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class Default : System.Web.UI.Page 
{
    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);

        RadGrid1.NeedDataSource += new GridNeedDataSourceEventHandler(RadGrid1_NeedDataSource);
        RadGrid1.PreRender += new EventHandler(RadGrid1_PreRender);
    }

    void RadGrid1_PreRender(object sender, EventArgs e)
    {

        for (int i = 0; i < RadGrid1.PageCount; i++)
        {
            RadGrid1.EditIndexes.Add(i);
        }

        RadGrid1.Rebind();
    }

    protected override void OnLoad(EventArgs e)
    {
        base.OnLoad(e);

        GridColumnCollection columns = RadGrid1.Columns;
        foreach (GridColumn column in columns)
        {
            if (column.UniqueName == "ID" || column.UniqueName == "Date")
            {
                (column as GridBoundColumn).ReadOnly = true;
            }
        }
    }

    void RadGrid1_NeedDataSource(object source, GridNeedDataSourceEventArgs e)
    {
        DataTable table = new DataTable();
        table.Columns.Add("ID");
        table.Columns.Add("Item");
        table.Columns.Add("Date", typeof(DateTime));
        for (int i = 1; i < 88; i++)
        {
            table.Rows.Add(i, "Item" + i.ToString(), DateTime.Now.AddDays(i));
        }
        RadGrid1.DataSource = table;
    }
    
}
